import React from "react";
import Head from "next/head";
import Link from "next/link";
import { Button, Typography } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import Paper from "@material-ui/core/Paper";
import ChevronRightIcon from "@material-ui/icons/ChevronRight";
import AuthProvider from "../../../../components/AuthProvider";
import Layout from "../../../../components/admin/Layout";
import AddFormByStepper from "../../../../components/admin/products/add/AddFormByStepper";

const useStyles = makeStyles((theme) => ({
  root: {
    width: "100%",
    padding: "20px",
  },
  addBtn: {
    "& .MuiButton-startIcon": {
      marginLeft: "10px",
    },
  },
  title: {
    textAlign: "center",
    margin: "20px",
    fontSize: "32px",
    textShadow: `1px 1px 5px ${theme.palette.primary.main}`,
  },
}));

export default function AddNewProduct() {
  const classes = useStyles();

  return (
    <>
      <Head>
        <title>اضافه کردن محصول جدید | پنل ادمین زانتیا یدک</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/xantia-logo-svg-vector.svg" />
      </Head>
      <Layout>
        <AuthProvider>
          <Paper className={classes.root}>
            <Link href="/admin/products/products-list">
              <a>
                <Button
                  className={classes.addBtn}
                  startIcon={<ChevronRightIcon />}
                >
                  بازگشت به لیست محصولات
                </Button>
              </a>
            </Link>
            <Typography varinat="h1" className={classes.title}>
              افزودن محصول جدید
            </Typography>
            <AddFormByStepper />
          </Paper>
        </AuthProvider>
      </Layout>
    </>
  );
}
